Subject: Re: How to properly rename a repository with submodules

From: Gelonida N <[email-masked]>
Date: Sun, 20 May 2012 20:49:13 +0200

On 05/20/2012 08:19 PM, Gelonida N wrote:
> Hi,
>
> Today I noticed to my surprise, that a repository with submodules
> contains absolute paths.in the .git file of each sub module.
>
> This is kind of surprising to me and seems to make it absolutely
> impossible to have a non bare git repository on a memory stick.
>
> It also seems to make it impossible to rename a working repository after
> cloning.
>
> So I have three questions.
>
> 1.) Is there any way to force git to use relative path names, such, that
> this issue just disappears.
>
> 2,) Is there any existing script, that allows me to move a git
> repository to another location without breaking it's sub modules.
>
> 3.) Why do these path names have to be absolute? Is this for performance
> reasons? path names relative to the location of the .git file seem to be
> much more flexible / portable.
>

It seems this behaviur is just on one of my 'new' machines which was 
upgraded to
Ubuntu 12.04 (git version 1.7.9.5)

on my old machines I had either really old git versions or the most 
recent ones 1.7.10

I just added ppa:git-core/ppa to the Ubuntu sources and upgraded git to 
1.7.10

Problem solved!! Path names are now relative. So it seems it wasn't only 
me thinking absolute path names are a bad idea :-)